Qt 5.11 | Qt Multimedia | C++ Classes | QImageEncoderControl

Qt 5.11.3 Reference Documentation

# QImageEncoderControl Class

The QImageEncoderControl class provides access to the settings of a media service that performs image encoding. More...

Header: | #include <QImageEncoderControl>
qmake: | QT += multimedia
Inherits: | QMediaControl

- List of all members, including inherited members

## Public Functions

virtual | ~QImageEncoderControl()
virtual QString | imageCodecDescription(const QString &codec) const = 0
virtual QImageEncoderSettings | imageSettings() const = 0
virtual void | setImageSettings(const QImageEncoderSettings &settings) = 0
virtual QStringList | supportedImageCodecs() const = 0
virtual QList<QSize> | supportedResolutions(const QImageEncoderSettings &settings, bool *continuous = nullptr) const = 0

## Protected Functions

| QImageEncoderControl(QObject *parent = nullptr)

## Macros

| QImageEncoderControl_iid

## Detailed Description

The QImageEncoderControl class provides access to the settings of a media service that performs image encoding.

If a QMediaService supports encoding image data it will implement QImageEncoderControl. This control allows to set image encoding settings and provides functions for quering supported image codecs and resolutions.

The interface name of QImageEncoderControl is `org.qt-project.qt.imageencodercontrol/5.0` as defined in QImageEncoderControl_iid.

See also QImageEncoderSettings and QMediaService::requestControl().

## Member Function Documentation

### `[protected]` QImageEncoderControl::QImageEncoderControl(QObject *parent = nullptr)

Constructs a new image encoder control object with the given parent

### `[virtual]` QImageEncoderControl::~QImageEncoderControl()

Destroys the image encoder control.

### `[pure virtual]` QString QImageEncoderControl::imageCodecDescription(const QString &codec) const

### `[pure virtual]` QImageEncoderSettings QImageEncoderControl::imageSettings() const

See also setImageSettings().

### `[pure virtual]` void QImageEncoderControl::setImageSettings(const QImageEncoderSettings &settings)

See also imageSettings().

### `[pure virtual]` QStringList QImageEncoderControl::supportedImageCodecs() const

### `[pure virtual]` QList<QSize> QImageEncoderControl::supportedResolutions(const QImageEncoderSettings &settings, bool *continuous = nullptr) const

## Macro Documentation

### QImageEncoderControl_iid

`org.qt-project.qt.imageencodercontrol/5.0`

Defines the interface name of the QImageEncoderControl class.